Add archive metadata to envelopes
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Request
This endpoint expects an object: envelopeGenAndSend
When set to true, Document Markup is enabled for envelope. Account must have Document Markup enabled to use this
When set to true, the recipient can redirect an envelope to a more appropriate recipient.
When set to true, the envelope is queued for processing and the value of the status property is set to ‘Processing’. Additionally, get status calls return ‘Processing’ until completed.
Reserved: For DocuSign use only.
A complex element that allows the sender to override some envelope email setting information. This can be used to override the Reply To email address and name associated with the envelope and to override the BCC email addresses to which an envelope is sent.
When the emailSettings information is used for an envelope, it only applies to that envelope.
IMPORTANT: The emailSettings information is not returned in the GET for envelope status. Use GET /email_settings to return information about the emailSettings.
EmailSettings consists of:
- replyEmailAddressOverride - The Reply To email used for the envelope. DocuSign will verify that a correct email format is used, but does not verify that the email is active. Maximum Length: 100 characters.
- replyEmailNameOverride - The name associated with the Reply To email address. Maximum Length: 100 characters.
- bccEmailAddresses - An array of up to five email addresses to which the envelope is sent to as a BCC email. Only users with canManageAccount setting set to true can use this option. DocuSign verifies that the email format is correct, but does not verify that the email is active. Using this overrides the BCC for Email Archive information setting for this envelope. Maximum Length: 100 characters. Example: if your account has BCC for Email Archive set up for the email address ‘archive@mycompany.com’ and you send an envelope using the BCC Email Override to send a BCC email to ‘salesarchive@mycompany.com’, then a copy of the envelope is only sent to the ‘salesarchive@mycompany.com’ email address.
Specifies the subject of the email that is sent to all recipients.
See [ML:Template Email Subject Merge Fields] for information about adding merge field information to the email subject.
When set to true, the signer is allowed to print the document and sign it on paper.
When set to true, documents with tabs can only be viewed by signers that have a tab on that document. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all the documents in an envelope, unless they are specifically excluded using this setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are specifically excluded using this setting when an envelope is sent.
Your account must have Document Visibility enabled to use this.
When set to true, Envelope ID Stamping is enabled.
When set to true, indicates that this module is enabled on the account.
When set to true, prevents senders from changing the contents of emailBlurb and emailSubject properties for the envelope.
Additionally, this prevents users from making changes to the contents of emailBlurb and emailSubject properties when correcting envelopes.
However, if the messageLock node is set to true**** and the emailSubject property is empty, senders and correctors are able to add a subject to the envelope.
When set to true, prevents senders from changing, correcting, or deleting the recipient information for the envelope.
The request body for the EnvelopeViews: createRecipient and EnvelopeViews: createSharedRecipient methods.
Specifies the physical location where the signing takes place. It can have two enumeration values; InPerson and Online. The default value is Online.
Indicates the envelope status. Valid values are:
- sent - The envelope is sent to the recipients.
- created - The envelope is saved as a draft and can be modified and sent later.
Used to identify an envelope. The id is a sender-generated value and is valid in the DocuSign system for 7 days. It is recommended that a transaction ID is used for offline signing to ensure that an envelope is not sent multiple times. The transactionId property can be used determine an envelope’s status (i.e. was it created or not) in cases where the internet connection was lost before the envelope status was returned.
When set to true, the disclosure is shown to recipients in accordance with the account’s Electronic Record and Signature Disclosure frequency setting. When set to false, the Electronic Record and Signature Disclosure is not shown to any envelope recipients.
If the useDisclosure property is not set, then the account’s normal disclosure setting is used and the value of the useDisclosure property is not returned in responses when getting envelope information.
Response
Indicates the envelope status. Valid values are:
- sent - The envelope is sent to the recipients.
- created - The envelope is saved as a draft and can be modified and sent later.